Skip to main content
GET
/
accounting_new
/
accounts
Get accounts
curl --request GET \
  --url https://api.zenskar.com/accounting_new/accounts \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_category": "Assets",
      "name": "<string>",
      "balance_normality": "credit",
      "is_parent": true,
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "parent_path": "<string>",
      "custom_data": {},
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

order
string | null
default:-created_at
Example:

"order=created_at"

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

id
string<uuid> | null
id__in
string | null
name
string | null
name__ilike
string | null
description
string | null
account_category
enum<string> | null
Available options:
Assets,
Liabilities,
Equity,
Income,
Expenses
account_category__in
string | null
parent_path
string | null
parent_path__ilike
string | null
balance_normality
enum<string> | null
Available options:
credit,
debit
balance_normality__in
string | null
is_parent
boolean | null

Response

Successful Response

results
AccountResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows